curl --request GET \
--url https://api.splose.com/v1/practitioners/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/practitioners/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/practitioners/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"firstname": "Albus",
"lastname": "Dumbledore",
"email": "jsmith@example.com",
"title": "Dr",
"profession": "Physiotherapist",
"description": "Practitioner admin of Hogwarts",
"roleName": "practitioner admin",
"connections": [
{
"typeId": 1,
"type": "Location"
}
],
"providerNumbers": [
{
"type": "Medicare",
"number": "12345678",
"locationId": 1
}
],
"deletedAt": "2023-07-30T09:00:00.000Z",
"isActive": true,
"onlineBooking": false,
"timezone": "Australia/Adelaide",
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Get a single practitioner
Get practitioner data by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
x > 01
Response
Object with practitioner data.
Practitioner id
x > 01
Practitioner first name
"Albus"
Practitioner last name
"Dumbledore"
Practitioner email
Practitioner title
"Dr"
Practitioner profession
"Physiotherapist"
Practitioner description
"Practitioner admin of Hogwarts"
Practitioner role name – can be one of the predefined roles or a custom user-defined role
"practitioner admin"
Array of practitioner connections (locations/services) associated with this practitioner
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Object archived date time
"2023-07-30T09:00:00.000Z"
Whether the practitioner is active
Whether online booking is enabled
Practitioner timezone
"Australia/Adelaide"
Whether the practitioner has been archived
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"